> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seminode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a Quote

> Sends a quote to the counter-party's inbox. Quotes must be in response to a Listing, or another Quote where you are not the author.



## OpenAPI

````yaml https://api.seminode.com/v1/docs/public post /quotes
openapi: 3.0.1
info:
  contact: {}
  description: Standard HTTP Basic authentication (username & password).
  title: Seminode API
  version: '1.0'
servers:
  - url: https://api.seminode.com/v1
security: []
tags: []
paths:
  /quotes:
    post:
      tags:
        - Quotes
      summary: Send a Quote
      description: >-
        Sends a quote to the counter-party's inbox. Quotes must be in response
        to a Listing, or another Quote where you are not the author.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/inbox.QuoteRequest'
        description: Quote payload
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.DetailResponse'
          description: quote sent
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: invalid payload
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: listing or counter-party inbox not found
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
          description: quote publish failed
        default:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/utils.ErrorResponse'
      security:
        - BearerAuth: []
        - LoginAuth: []
components:
  schemas:
    inbox.QuoteRequest:
      properties:
        content:
          $ref: '#/components/schemas/inbox.QuoteContent'
        event_id:
          description: Always included on requests
          type: string
        event_url:
          type: string
        listing:
          $ref: '#/components/schemas/listings.Listing'
        public_key:
          description: The author of the event we are replying to
          type: string
        recipient_public_key:
          description: The original recipient of the event we are replying to (me)
          type: string
        reply_url:
          description: Their reply url
          type: string
        root_id:
          type: string
        tags:
          items:
            items:
              type: string
            type: array
          type: array
      type: object
    utils.DetailResponse:
      properties:
        detail:
          type: string
      type: object
    utils.ErrorResponse:
      properties:
        error:
          type: string
      type: object
    inbox.QuoteContent:
      properties:
        attributes:
          $ref: '#/components/schemas/inbox.QuoteAttributes'
        company:
          description: Set app layer
          type: string
        contact:
          type: string
        errors:
          additionalProperties:
            type: string
          type: object
        lead_time:
          description: Slated for removal
          type: integer
        lead_time_raw:
          description: Slated For removal
          type: string
        message:
          type: string
        meta:
          additionalProperties: true
          type: object
        qty:
          type: integer
        schema_version:
          type: string
        terms:
          $ref: '#/components/schemas/inbox.QuoteTerms'
        timing:
          $ref: '#/components/schemas/inbox.QuoteTiming'
        unit_price:
          type: number
      type: object
    listings.Listing:
      properties:
        content:
          $ref: '#/components/schemas/listings.ListingContent'
        created_at:
          description: TODO open, change to unix timestamp?
          type: string
        id:
          type: string
        kind:
          type: integer
        public_key:
          type: string
        recipient_public_key:
          type: string
        reply_url:
          type: string
        root_id:
          type: string
        sig:
          type: string
        tags:
          items:
            items:
              type: string
            type: array
          type: array
        thread_id:
          type: string
        url:
          type: string
      type: object
    inbox.QuoteAttributes:
      properties:
        condition:
          type: string
        custom_attributes:
          additionalProperties: true
          type: object
        date_code:
          type: string
        packaging:
          type: string
      type: object
    inbox.QuoteTerms:
      properties:
        payment:
          $ref: '#/components/schemas/inbox.PaymentTerm'
        shipping:
          $ref: '#/components/schemas/inbox.Shipping'
      type: object
    inbox.QuoteTiming:
      properties:
        expiry:
          type: integer
        lead_time:
          type: string
        required_date:
          type: integer
      type: object
    listings.ListingContent:
      properties:
        attributes:
          allOf:
            - $ref: '#/components/schemas/listings.ListingAttributes'
          description: Meta Attribibutes
          type: object
        batch_id:
          description: Batch ID (Optional)
          type: string
        company:
          description: 'Default: Publish Company Name'
          type: string
        contact:
          $ref: '#/components/schemas/listings.ListingContact'
        encrypted:
          $ref: '#/components/schemas/listings.SecureField'
        errors:
          additionalProperties:
            type: string
          description: Error field for parsing
          type: object
        image_url:
          type: string
        internal_no:
          description: Internal Number (Optional)
          type: string
        material_no:
          description: Mandatory upload fields
          type: string
        mfr:
          description: Manufacturer (Required)
          type: string
        qty:
          description: Quantity (Required)
          type: integer
        timing:
          allOf:
            - $ref: '#/components/schemas/listings.ListingTiming'
          description: Timing (Optional)
          type: object
        type:
          description: '"supply" or "demand"'
          type: string
        unit_price:
          description: Unit Price (Required)
          type: number
      type: object
    inbox.PaymentTerm:
      properties:
        code:
          type: string
        currency:
          type: string
      type: object
    inbox.Shipping:
      properties:
        incoterm:
          type: string
        place:
          type: string
      type: object
    listings.ListingAttributes:
      properties:
        coo:
          type: string
        currency:
          type: string
        custom:
          additionalProperties: true
          description: user-defined
          type: object
        date_code:
          type: string
        description:
          type: string
        eccn:
          type: string
        lot_no:
          type: string
        moq:
          type: integer
        mpq:
          type: integer
        packaging:
          type: string
      type: object
    listings.ListingContact:
      properties:
        methods:
          items:
            type: string
          type: array
        reply_url:
          type: string
      type: object
    listings.SecureField:
      properties:
        ciphertext:
          type: string
        payload:
          additionalProperties: true
          type: object
      type: object
    listings.ListingTiming:
      properties:
        expiry:
          type: integer
        lead_time:
          type: string
        lead_time_int:
          type: integer
        required_date:
          type: integer
      type: object
  securitySchemes:
    BearerAuth:
      description: 'Format: "Bearer &lt;access_token&gt;"'
      in: header
      name: Authorization
      type: apiKey
    LoginAuth:
      scheme: basic
      type: http

````